Bug 211129 - textproc/unrtf: Update to 0.21.9
Summary: textproc/unrtf: Update to 0.21.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Carlos J. Puga Medina
URL:
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2016-07-14 22:13 UTC by jharris
Modified: 2016-08-06 02:33 UTC (History)
3 users (show)

See Also:


Attachments
update textproc/unrtf to 0.21.9 (1.29 KB, patch)
2016-07-14 22:13 UTC, jharris
jharris: maintainer-approval+
Details | Diff
patch-unrtf-0.21.9 (1.37 KB, patch)
2016-08-03 21:14 UTC, Carlos J. Puga Medina
cpm: maintainer-approval? (jharris)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jharris 2016-07-14 22:13:46 UTC
Created attachment 172538 [details]
update textproc/unrtf to 0.21.9

maintainer update textproc/unrtf to 0.21.9
Comment 1 VK freebsd_triage 2016-07-16 18:40:03 UTC
Removing maintainer-feedback(+) response as it was never requested. Maintainer-approval(+) on the patch suffices.
Comment 2 VK freebsd_triage 2016-07-16 18:41:12 UTC
Thanks for the patch. Please confirm the changes pass QA (portlint, poudriere).
Comment 3 Dmitry Marakasov freebsd_committer 2016-07-19 15:20:48 UTC
Patch does not apply, has CRLF line endings.
Comment 4 Dmitry Marakasov freebsd_committer 2016-07-26 15:59:40 UTC
Back to pool as I'll be away for two weeks and don't want to delay this.
Comment 5 Carlos J. Puga Medina freebsd_committer 2016-08-03 20:56:41 UTC
(In reply to Dmitry Marakasov from comment #4)

I'll take care of this PR.
Comment 6 Carlos J. Puga Medina freebsd_committer 2016-08-03 21:14:59 UTC
Created attachment 173254 [details]
patch-unrtf-0.21.9
Comment 7 Carlos J. Puga Medina freebsd_committer 2016-08-03 21:30:20 UTC
Testing@work via poudriere.
Comment 8 Carlos J. Puga Medina freebsd_committer 2016-08-03 21:37:16 UTC
All builds are fine on 9.3/i386, 9.3/amd64, 10.2/i386, 10.2/amd64, 10.3/i386 and 10.3/amd64.
Comment 9 commit-hook freebsd_committer 2016-08-06 02:31:54 UTC
A commit references this bug:

Author: cpm
Date: Sat Aug  6 02:31:16 UTC 2016
New revision: 419729
URL: https://svnweb.freebsd.org/changeset/ports/419729

Log:
  - Update to 0.21.9
  - Add USE_AUTOTOOLS=automake
  - Cosmetic changes

  - Support EndNote reference citations in convert.c
  - Improved handling of some tables
  - Fixed --text processing broken in 0.21.8 - outputs/text.conf

  PR:	211129
  Submitted by:	maintainer
  Reviewed by:	junovitch (mentor)
  Approved by:	junovitch (mentor)

Changes:
  head/textproc/unrtf/Makefile
  head/textproc/unrtf/distinfo
Comment 10 Carlos J. Puga Medina freebsd_committer 2016-08-06 02:33:00 UTC
Committed!

Thanks